Storyden
Likes

Like Post Get

Retreives all likes for the given post. Not paginated (yet.)

Retreives all likes for the given post. Not paginated (yet.)

GET/likes/posts/{post_id}
storyden-session<token>

In: cookie

Path Parameters

post_id*string

Unique post ID.

Formatxid

Response Body

application/json

application/json

curl -X GET "https://loading/api/likes/posts/cc5lnd2s1s4652adtu50"
{
  "likes": [
    {
      "id": "cc5lnd2s1s4652adtu50",
      "created_at": "2019-08-24T14:15:22Z",
      "owner": {
        "id": "cc5lnd2s1s4652adtu50",
        "joined": "2019-08-24T14:15:22Z",
        "suspended": "2019-08-24T14:15:22Z",
        "handle": "Southclaws",
        "name": "Barnaby Keene",
        "signature": "<body><p>Sent with love from London!</p></body>",
        "roles": [
          {
            "badge": true,
            "default": true,
            "id": "cc5lnd2s1s4652adtu50",
            "name": "string",
            "colour": "string",
            "meta": {}
          }
        ]
      }
    }
  ]
}
Empty
Empty
{
  "error": "string",
  "message": "string",
  "suggested": "string",
  "metadata": {}
}